## EmpathyConnectionManagers

EmpathyConnectionManagers

## Synopsis

                        EmpathyConnectionManagers;
    EmpathyConnectionManagers * empathy_connection_managers_dup_singleton
                                                            (void);
    gboolean            empathy_connection_managers_is_ready
                                                            (EmpathyConnectionManagers *managers);
    void                empathy_connection_managers_update  (EmpathyConnectionManagers *managers);
    GList *             empathy_connection_managers_get_cms (EmpathyConnectionManagers *managers);
    guint               empathy_connection_managers_get_cms_num
                                                            (EmpathyConnectionManagers *managers);
    TpConnectionManager * empathy_connection_managers_get_cm
                                                            (EmpathyConnectionManagers *managers,
                                                             const gchar *cm);

## Object Hierarchy

      GObject
       +----EmpathyConnectionManagers

## Properties

      "ready"                    gboolean              : Read

## Signals

      "updated"                                        : Run Last

## Description

## Details

### EmpathyConnectionManagers

    typedef struct _EmpathyConnectionManagers EmpathyConnectionManagers;

### empathy_connection_managers_dup_singleton ()

    EmpathyConnectionManagers * empathy_connection_managers_dup_singleton
                                                            (void);

Returns : |

### empathy_connection_managers_is_ready ()

    gboolean            empathy_connection_managers_is_ready
                                                            (EmpathyConnectionManagers *managers);

`managers` : |
Returns : |

### empathy_connection_managers_update ()

    void                empathy_connection_managers_update  (EmpathyConnectionManagers *managers);

`managers` : |

### empathy_connection_managers_get_cms ()

    GList *             empathy_connection_managers_get_cms (EmpathyConnectionManagers *managers);

`managers` : |
Returns : |

### empathy_connection_managers_get_cms_num ()

    guint               empathy_connection_managers_get_cms_num
                                                            (EmpathyConnectionManagers *managers);

`managers` : |
Returns : |

### empathy_connection_managers_get_cm ()

    TpConnectionManager * empathy_connection_managers_get_cm
                                                            (EmpathyConnectionManagers *managers,
                                                             const gchar *cm);

`managers` : |
`cm` : |
Returns : |

## Property Details

### The `"ready"` property

      "ready"                    gboolean              : Read

Whether the connection manager information is ready to be used.

Default value: FALSE

## Signal Details

### The `"updated"` signal

    void                user_function                      (EmpathyConnectionManagers *empathyconnectionmanagers,
                                                            gpointer                   user_data)                      : Run Last

`empathyconnectionmanagers` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.